﻿.background {
    background-image: url('../img/bg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center center;
    height: 100vh;
}

.login {
    border: 1px solid #ffffff;
    width: 25%;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 3% 0;
    background: #ffffff2e;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login__logo {
    width: 55%;
    margin-bottom: 10%;
}

.login__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.login__input {
    width: 80%;
    margin-bottom: 20px;
    border: none;
    background: transparent;
    border-bottom: 2px solid #fff;
    padding: 25px 0 0 0;
    font-weight: 600;
    color: #fff;
}

    .login__input:placeholder-shown {
        padding: 0 0 25px 0;
    }

    .login__input::placeholder {
        font-size: 15px;
        margin-bottom: 15px;
        color: #fff;
        font-weight: 700;
    }

    .login__input:focus {
        outline: none;
        border-bottom: 2px solid #eb8200;
    }

.icon--eye {
    position: absolute;
    right: 11%;
    bottom: 53%;
    cursor: pointer;
}

.fa-eye {
    display: none;
}

.fa-eye-slash {
    display: block;
}

.login__button {
    width: 80%;
    border: 1px solid #eb8200;
    color: #fff;
    background: linear-gradient(181deg, #eb8200, #f59d2f);
    border-radius: 8px;
    padding: 7px 0;
    font-size: 15px;
    letter-spacing: 1px;
    font-weight: 700;
    text-align: center;
}
.login__button:hover{
    color: #fff;
    text-decoration: none;
}
.login__form--utilits {
    width: 80%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5%;
    font-size: 13px;
}

.login__remeberMe {
    color: #fff;
    display: flex;
    align-items: center;
}

.login__esqueci-senha {
    color: #fff;
    text-decoration: underline;
}

.login__esqueci-senha:hover {
    color: #fff;
}

.login__newAccount {
    width: 80%;
    margin-top: 5%;
}

.login__novoTitle {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 15px;
    color: #fff;
}

.login__novoTitle:before, .login__novoTitle:after {
    content: '';
    border-top: 2px solid #fff;
    margin: 0 5px 0 0;
    flex: 1 0 5px;
}

.login__novoTitle:after {
    margin: 0 0 0 5px;
}

.button--nova-conta {
    margin-top: 4%;
    background: transparent;
    border-color: #333;
    color: #333;
    width: 100%;
    transition: 0.6s;
}

.button--nova-conta:hover {
    background: #eb8200;
    border-color:#eb8200;
    color: #fff;
    width: 100%;
}

/* Style dos campos input, referente ao auto complit */

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s!important;
    -webkit-box-shadow: 0 0 0px 1000px transparent inset;
    -webkit-text-fill-color: #fff;
    font-weight: 600;

}
/* Css da tag literal (tag de erros) */
.alert-danger {
    text-align: center;
}
@media (max-width: 700px) {
    .login {
        width: 95%;
    }

    .login__form--utilits {
        flex-direction: column;
        align-items: flex-start;
    }

    .icon--eye {
        bottom: 57%;
    }
}
